## libhel 0.2.2.4

=== CMakeLists.txt ===
# Create the libhel library.

set(Name hel)
set(Major 0)
set(Minor 2)
set(Micro 2)
set(Revision 4)

enable_testing()

add_definitions(
	-DVERSION=\"\\\"libhel-${Major}.${Minor}.${Micro}.${Revision}\\\"\" 
	-DMAJOR_VERSION=${Major}
	-DMINOR_VERSION=${Minor}
	-DMICRO_VERSION=${Micro}
	-DREVISION=${Revision}
	-DBUILD_ID=20070415
)

add_definitions(
	-DEXPERIMENTAL
)

# DEBUG
#add_definitions( -DDEBUG -g -Wall )

# RELEASE
add_definitions( -DRELEASE -Wall -O2 -finline-functions -fomit-frame-pointer -funroll-loops )


# NOTE: cmake 2.6 ( unreleased ) is required for cross compiling.
if (WIN32)
#	@-mkdir -p $(BUILD_WIN32_DIR)
#	$(MAKE) w32targets BUILDDIR=$(BUILD_WIN32_DIR) \
#	CC=$(WIN32_CC) \
#	CPP=$(WIN32_CPP)  \
#	LD=$(WIN32_LD)  \
#	MODULE="hel0" \
#	SHLIBEXT=".dll" \
#	CFLAGS="$(BASE_CFLAGS) $(WIN32_INC_DIR) -DHELEXPORTSCLASS" \
#	LD_FLAGS=" -shared -lstdc++ -lm" \
#	LIBS="-lm -lstdc++ $(WIN32_LIB_DIR) -lpthreadGC2"

#$(BUILDDIR)/$(MODULE).dll : $(OBJS)
#	$(CC) -shared -o $(BUILDDIR)/$(MODULE).dll \
#    -Wl,--out-implib=$(BUILDDIR)/lib$(MODULE).a \
#    -Wl,--export-all-symbols \
#    -Wl,--enable-auto-import \
#    -Wl,--whole-archive $(OBJS) \
#    -Wl,--no-whole-archive $(LIBS)

	#cmake_cxx_compiler("i586-mingw32msvc-g++ -mms-bitfields")
	#add_definitions(-Wl,--export-all-symbols -Wl,--enable-auto-import)

endif(WIN32)	


#######################################################################
# Dependencies
#######################################################################

# mstl
include_directories( ../mstl . )

# TinyXML 
add_definitions( -DTINYXML_FOUND )
include_directories( ../tinyxml )
link_directories( ../tinyxml )
link_libraries(	-ltinyxml )


#######################################################################
# Objects
#######################################################################

link_directories(../bin/libhel)

set(Objs
	hel/math 
	hel/BoundingVolume 
	hel/CollisionObject 
	hel/Mass 
	hel/Mat44 
	hel/Octree 
	hel/Quat 
	hel/Ray 
	hel/Simulation 
	hel/Spring 
	hel/ViewVolume 
)

add_library( ${Name}-${Major}.${Minor}.${Micro} SHARED ${Objs} )


#######################################################################
# Packaging
#######################################################################

add_custom_target( deb
	COMMAND fakeroot dpkg-buildpackage )

#add_custom_command(TARGET libhel.deb COMMAND dpkg-buildpackage -rfakeroot)

# Generate a new debian/changelog.
FILE( WRITE debian/changelog "libhel (${Major}.${Minor}.${Micro}.${Revision}) feisty; urgency=low\n\n" )
FILE( APPEND debian/changelog "  * Generated release\n\n" )
FILE( APPEND debian/changelog " -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500\n\n" )
FILE( APPEND debian/changelog "" )

# Generate install rule.
INSTALL( TARGETS ${Name}-${Major}.${Minor}.${Micro} LIBRARY DESTINATION /usr/lib )


#######################################################################
# Unit tests
#######################################################################

# Remember to run `export LD_LIBRARY_PATH=.` before running CTest!

# Mat44
add_executable( mat44 hel/unit/mat44 )
set_target_properties( mat44 PROPERTIES OUTPUT_NAME unit/mat44 )
set_target_properties( mat44 PROPERTIES COMPILE_FLAGS 
	"-DUNIT_TEST_MAT44" )
set_target_properties( mat44 PROPERTIES LINK_FLAGS 
	"-L. -l${Name}-${Major}.${Minor}.${Micro} -lpthread" )
add_test( mat44 unit/mat44 unit/mat44-results.xml )


# Ray
add_executable( ray hel/unit/ray )
set_target_properties( ray PROPERTIES OUTPUT_NAME unit/ray )
set_target_properties( ray PROPERTIES COMPILE_FLAGS 
	"-DUNIT_TEST_RAY" )
set_target_properties( ray PROPERTIES LINK_FLAGS 
	"-L. -l${Name}-${Major}.${Minor}.${Micro} -lpthread" )
add_test( ray unit/ray unit/ray-results.xml )


add_custom_target( win32 
	COMMAND make -f Makefile.Win32 )

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/freyja_0.9.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/freyja_0.9.5

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake

# Special rule for the target install/local
install/local/fast: install/local

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Only default component available"

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /tmp/freyja_0.9.5/libhel && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# The main all target
all: cmake_check_build_system
	cd /tmp/freyja_0.9.5 && $(CMAKE_COMMAND) -E cmake_progress_start /tmp/freyja_0.9.5/CMakeFiles $(CMAKE_ALL_PROGRESS)
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/all
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/freyja_0.9.5/CMakeFiles 0

# The main clean target
clean:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

# Convenience name for target.
libhel/CMakeFiles/deb.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/deb.dir/rule

# Convenience name for target.
deb: libhel/CMakeFiles/deb.dir/rule

# fast build rule for target.
deb/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/deb.dir/build.make libhel/CMakeFiles/deb.dir/build

# Convenience name for target.
libhel/CMakeFiles/hel-0.2.2.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/hel-0.2.2.dir/rule

# Convenience name for target.
hel-0.2.2: libhel/CMakeFiles/hel-0.2.2.dir/rule

# fast build rule for target.
hel-0.2.2/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/build

# Convenience name for target.
libhel/CMakeFiles/mat44.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/mat44.dir/rule

# Convenience name for target.
mat44: libhel/CMakeFiles/mat44.dir/rule

# fast build rule for target.
mat44/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/mat44.dir/build.make libhel/CMakeFiles/mat44.dir/build

# Convenience name for target.
libhel/CMakeFiles/ray.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/ray.dir/rule

# Convenience name for target.
ray: libhel/CMakeFiles/ray.dir/rule

# fast build rule for target.
ray/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/ray.dir/build.make libhel/CMakeFiles/ray.dir/build

# Convenience name for target.
libhel/CMakeFiles/win32.dir/rule:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f CMakeFiles/Makefile2 libhel/CMakeFiles/win32.dir/rule

# Convenience name for target.
win32: libhel/CMakeFiles/win32.dir/rule

# fast build rule for target.
win32/fast:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/win32.dir/build.make libhel/CMakeFiles/win32.dir/build

# target to build an object file
hel/BoundingVolume.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.o

# target to preprocess a source file
hel/BoundingVolume.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.i

# target to generate assembly for a file
hel/BoundingVolume.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/BoundingVolume.s

# target to build an object file
hel/CollisionObject.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.o

# target to preprocess a source file
hel/CollisionObject.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.i

# target to generate assembly for a file
hel/CollisionObject.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/CollisionObject.s

# target to build an object file
hel/Mass.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.o

# target to preprocess a source file
hel/Mass.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.i

# target to generate assembly for a file
hel/Mass.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mass.s

# target to build an object file
hel/Mat44.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.o

# target to preprocess a source file
hel/Mat44.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.i

# target to generate assembly for a file
hel/Mat44.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Mat44.s

# target to build an object file
hel/Octree.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.o

# target to preprocess a source file
hel/Octree.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.i

# target to generate assembly for a file
hel/Octree.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Octree.s

# target to build an object file
hel/Quat.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.o

# target to preprocess a source file
hel/Quat.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.i

# target to generate assembly for a file
hel/Quat.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Quat.s

# target to build an object file
hel/Ray.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.o

# target to preprocess a source file
hel/Ray.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.i

# target to generate assembly for a file
hel/Ray.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Ray.s

# target to build an object file
hel/Simulation.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.o

# target to preprocess a source file
hel/Simulation.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.i

# target to generate assembly for a file
hel/Simulation.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Simulation.s

# target to build an object file
hel/Spring.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.o

# target to preprocess a source file
hel/Spring.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.i

# target to generate assembly for a file
hel/Spring.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/Spring.s

# target to build an object file
hel/ViewVolume.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.o

# target to preprocess a source file
hel/ViewVolume.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.i

# target to generate assembly for a file
hel/ViewVolume.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/ViewVolume.s

# target to build an object file
hel/math.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.o

# target to preprocess a source file
hel/math.i:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.i

# target to generate assembly for a file
hel/math.s:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/hel-0.2.2.dir/build.make libhel/CMakeFiles/hel-0.2.2.dir/hel/math.s

# target to build an object file
hel/unit/mat44.o:
	cd /tmp/freyja_0.9.5 && $(MAKE) -f libhel/CMakeFiles/mat44.dir/build.make libhel/CMakeFiles/mat44.dir/hel/unit/mat44.o

# target to preprocess a source file
hel/unit/mat44.i:

=== debian/changelog ===
libhel (0.2.2.4) feisty; urgency=low

  * Generated release

 -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500

=== debian/control ===
Source: libhel
Section: unknown
Priority: optional
Maintainer: Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libhel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The freyja math library.
 The freyja math library provides basic 3d math, geometric utility, and collision support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) -f Makefile.Linux
	#docbook-to-man debian/libhel.sgml > libhel.1
	cmake .
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) -f Makefile.Linux clean
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libhel.
	#$(MAKE) -f Makefile.Linux install DESTDIR=$(CURDIR)/debian/libhel
	$(MAKE) install DESTDIR="$(CURDIR)/debian/libhel"

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
